# Uses of Class
java.security.cert.X509CRLEntry

Packages that use X509CRLEntry
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of X509CRLEntry in java.security.cert

Methods in java.security.cert that return X509CRLEntry
Modifier and Type
Method
Description
`abstract X509CRLEntry`
X509CRL.`getRevokedCertificate​(BigInteger serialNumber)`
Gets the CRL entry, if any, with the given certificate serialNumber.
`X509CRLEntry`
X509CRL.`getRevokedCertificate​(X509Certificate certificate)`
Get the CRL entry, if any, for the given certificate.
Methods in java.security.cert that return types with arguments of type X509CRLEntry
Modifier and Type
Method
Description
`abstract Set<? extends X509CRLEntry>`
X509CRL.`getRevokedCertificates()`
Gets all the entries from this CRL.